from unittest.mock import MagicMock
from django.test import TestCase
from arkindex_common.ml_tool import MLTool, MLToolType
from arkindex.documents.models import DataSource


class TestDataSource(TestCase):

    @classmethod
    def setUpTestData(cls):
        cls.ml_tool = MagicMock(spec=MLTool)
        cls.ml_tool.type = MLToolType.Recognizer
        cls.ml_tool.slug = 'muddy'
        cls.ml_tool.name = 'Muddy Recognizer'
        cls.ml_tool.version = '0.42'

    def test_str(self):
        ds = DataSource(
            type=MLToolType.Classifier,
            slug='something',
            name='some classifier',
            revision='1.2.3',
            internal=False,
        )
        self.assertEqual(str(ds), 'something 1.2.3')
